Bug 124717 - Auto correct isn’t correcting either while typing or using the apply settings
Summary: Auto correct isn’t correcting either while typing or using the apply settings
Status: UNCONFIRMED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
6.1.2.1 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: AutoCorrect-Complete
  Show dependency treegraph
 
Reported: 2019-04-13 12:47 UTC by gregnali
Modified: 2020-04-24 18:21 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
writer screen shot of document (311.39 KB, image/png)
2019-04-25 02:30 UTC, gregnali
Details
auto correct - new entry kown -> know (151.48 KB, image/png)
2019-04-25 02:31 UTC, gregnali
Details
ive to i've auto correct (311.39 KB, image/png)
2019-04-25 02:32 UTC, gregnali
Details
Test of bug (114.08 KB, image/png)
2019-05-01 12:49 UTC, eisa01
Details

Note You need to log in before you can comment on or make changes to this bug.
Description gregnali 2019-04-13 12:47:21 UTC
Description:
Auto correct is turned on and some things are correcting but newly created created replacements are not being corrected and even first word capitalisation isn’t working either while typing or using the apply function.
Version is 6.1.2.1

Steps to Reproduce:
1. Set new text to be corrected in auto correct options
2. Start typing in document to see if working
3. When not working while typing use apply function in auto correct

Actual Results:
Auto corrected words not working

Expected Results:
Any entries used in auto correct should correct while typing or at least is the auto correct apply function is used


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Auto correct should just work out of the box...it’s a basic word processing feature.
Comment 1 Dieter 2019-04-13 13:32:52 UTC
Thank you for reporting the bug. It seems you're using an old version of LibreOffice. Could you please try to reproduce it with the latest version of LibreOffice from https://www.libreoffice.org/download/libreoffice-fresh/ ? I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' if the bug is still present in the latest version. Change to RESOLVED WORKSFORME, if the problem went away.
Comment 2 gregnali 2019-04-13 13:50:52 UTC
Thanks Dieter for looking at this so quickly. I notice this in ‘fresh’ on Manjaro and though that I should check in a stable older version.  So yes, it’s still there. The fresh version I’m using on manjaro is 6.2.2.2
In the last half an hour I’ve played around with it a bit more and I can see now that it’s intermittent in that auto correct works while typing until you go back and change something that was auto corrected and then it breaks so that even first letter of new sentence doesn’t capitalise.
So I’m going to set this back to unconfirmed like you suggest.  

Thanks again for taking a look so quickly.
Regards,
Greg
Comment 3 eisa01 2019-04-20 19:01:17 UTC
Hi Greg,
Have you tested this on a Mac or Linux? Or is it an issue on both?

The bug report says macOS, but you mention Manjari which is a Linux distribution.

Newly created replacements seem to work for me

Version: 6.3.0.0.alpha0+
Build ID: ea9c13be02ba731074fa4207944ff7df40a0fb5c
CPU threads: 2; OS: Mac OS X 10.13.6; UI render: default; VCL: osx; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2019-04-10_20:43:17
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 4 gregnali 2019-04-25 02:30:32 UTC
Created attachment 150991 [details]
writer screen shot of document
Comment 5 gregnali 2019-04-25 02:31:27 UTC
Created attachment 150992 [details]
auto correct - new entry kown -> know
Comment 6 gregnali 2019-04-25 02:32:30 UTC
Created attachment 150993 [details]
ive to i've auto correct
Comment 7 gregnali 2019-04-25 02:40:32 UTC
Hi Eisa01,

I've done more investigation now and I think I have narrowed it down to the fact that if the first word of a sentence contains an apostrophe, then it stops capitalising the first word of the sentence.  It will stop capitalising thereafter for any first word of a sentence.  Also the auto correcting isn't correcting newly added words to the auto correct list.
I've attached some screen shots this time around...just random typing to illustrate the problems.  I can replicate this without fail, every time.
Unless someone has address this specific bug, I can't imagine that it is fixed.  I tested it on both Mac 6.1.2.1 and on Linux Manjaro 6.2.2.2 'fresh' version as Dieter requested.  I haven't tested this on the alpha version 6.3.0.0, but I'm pretty sure it will still be there in the alpha given as it was there on both the previous versions.
Comment 8 Alex Thurgood 2019-04-29 07:10:01 UTC
Not Mac specific, per comment 7
Comment 9 eisa01 2019-05-01 12:48:38 UTC
I don't really know what I did, but I added kown -> know to the Autocorrect list.
It was initially working fine (I had Autocorrect while typing on)
I then disabled that, and it did work when I clicked Apply and edit changes.
Then I don't exactly remember what I did and it stopped working. I verified the autocorrect entry was still present

When I tried to do it again, it only works on konw, not Konw, but otherwise seems to work fine (apart from inserting line breaks on it's own), see upload. I don't remember if my initial testing was using Konw or konw, or both.
Comment 10 eisa01 2019-05-01 12:49:39 UTC
Created attachment 151111 [details]
Test of bug

Test in
Version: 6.3.0.0.alpha0+
Build ID: ea9c13be02ba731074fa4207944ff7df40a0fb5c
CPU threads: 2; OS: Mac OS X 10.13.6; UI render: default; VCL: osx; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2019-04-10_20:43:17
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 11 Buovjaga 2020-04-24 18:21:57 UTC
Can someone give fresh enumerated steps on how we can reproduce the problem?